Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232418 - missing/wrong package requirements
Summary: missing/wrong package requirements
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 13:14 UTC by Karsten Hopp
Modified: 2013-04-30 23:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-16 15:28:08 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2007-03-15 13:14:00 UTC
Description of problem:
The pre/post/... scriptlets requirements look a bit odd and some  are even missing.
caching-nameserver p.e. needs a Requires(post): bind-chroot   for the
bind-chroot-admin script :
  Installing: caching-nameserver           ################### [ 487/1007]
/var/tmp/rpm-tmp.11598: line 4: /usr/sbin/bind-chroot-admin: No such file or
directory
error: %post(caching-nameserver-9.4.0-2.fc7.i386) scriptlet failed, exit status 1


How about these changes:
diff -u -r1.167 bind.spec
--- bind.spec   12 Mar 2007 15:15:37 -0000      1.167
+++ bind.spec   15 Mar 2007 13:09:01 -0000
@@ -145,8 +145,7 @@
 Obsoletes: bind-config
 Provides:  bind-config
 PreReq:    bind = %{epoch}:%{version}-%{release}
-Requires(post):   bash, coreutils, sed, grep
-Requires(postun): bash, coreutils, sed, grep
+Requires(post):   bind-chroot
 %if %{selinux}
 Requires(post): policycoreutils
 Conflicts: selinux-policy-strict < 2.2.0
@@ -169,10 +168,9 @@
 Group:            System Environment/Daemons
 Prefix:    %{chroot_prefix}
 PreReq:    bind = %{epoch}:%{version}-%{release}
-Requires(post):  bash, coreutils, sed, grep
-Requires(preun): bash, coreutils, sed, grep
+Requires(post):  bind-chroot
+Requires(preun): bind-chroot
 %if %{selinux}
-Requires(post): policycoreutils
 Conflicts: selinux-policy-strict < 2.2.0
 Conflicts: selinux-policy-targeted < 2.2.0
 %endif
@@ -191,7 +189,7 @@
 Requires: bind-utils = %{epoch}:%{version}-%{release}
 Requires(pre):    /etc/openldap/schema
 Requires(post):   bash, coreutils, sed, grep, mktemp
-Requires(preun):  bash, coreutils, sed, grep
+Requires(preun):  bash, coreutils, grep
 %if %{selinux}
 Requires(post): policycoreutils
 Conflicts: selinux-policy-strict < 2.2.0

Comment 1 Adam Tkac 2007-03-16 15:28:08 UTC
fixed in bind-*9.4.0-3.fc7


Note You need to log in before you can comment on or make changes to this bug.